## ros-foxy-ros2interface 0.9.13

=== debian/changelog ===
ros-foxy-ros2interface (0.9.13-1focal) focal; urgency=high

  * Added changelogs
  * Contributors: Dharini Dutia

 -- Jacob Perron <jacob@osrfoundation.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-ros2interface (0.9.12-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-ros2interface (0.9.11-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-ros2interface (0.9.10-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-ros2interface (0.9.9-1focal) focal; urgency=high

  * 0.9.9
  * Contributors: Audrow Nash

 -- Jacob Perron <jacob@osrfoundation.org>  Wed, 24 Mar 2021 00:00:00 -0000

ros-foxy-ros2interface (0.9.8-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-ros2interface (0.9.7-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-ros2interface (0.9.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-ros2interface (0.9.5-1focal) focal; urgency=high

  * [ros2interface] Allow stdin input for 'ros2 interface show' (#387 <https://github.com/ros2/ros2cli/issues/387>)
  * Contributors: Dirk Thomas, Nursharmin Ramli

 -- Jacob Perron <jacob@osrfoundation.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-ros2interface (0.9.4-1focal) focal; urgency=high

  * [ros2interface] Remove usage of deprecated std_msgs and std_srvs packages (#516 <https://github.com/ros2/ros2cli/issues/516>)
  * Use consistent quotes in help messages (#517 <https://github.com/ros2/ros2cli/issues/517>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-ros2interface (0.9.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Wed, 13 May 2020 00:00:00 -0000

ros-foxy-ros2interface (0.9.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-ros2interface (0.9.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Wed, 06 May 2020 00:00:00 -0000

ros-foxy-ros2interface (0.9.0-1focal) focal; urgency=high

  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * only load required entry points which improves the performance (#436 <https://github.com/ros2/ros2cli/issues/436>)
  * Add docblock for ros2interface command (#434 <https://github.com/ros2/ros2cli/issues/434>)
  * Contributors: Dirk Thomas, Jacob Perron, Peter Baughman, Steven! Ragnarök

 -- Jacob Perron <jacob@osrfoundation.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-ros2interface (0.8.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-ros2interface (0.8.5-1focal) focal; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@osrfoundation.org>  Thu, 14 Nov 2019 00:00:00 -0000

ros-foxy-ros2interface (0.8.4-1focal) focal; urgency=high

  * 0.8.4
  * [ros2interface] Fix tests (#386 <https://github.com/ros2/ros2cli/issues/386>)
  * Contributors: Jacob Perron, Michael Carroll

 -- Jacob Perron <jacob@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-ros2interface (0.8.3-1focal) focal; urgency=high

  * 0.8.3
  * End-to-end test coverage for CLI commands output (#304 <https://github.com/ros2/ros2cli/issues/304>)
  * Make ros2 interface show fail gracefully (no traceback). (#372 <https://github.com/ros2/ros2cli/issues/372>)
  * Move rosidl implementation details to rosidl_runtime_py (#371 <https://github.com/ros2/ros2cli/issues/371>)
  * Handle bad or missing package on ros2 interface show. (#366 <https://github.com/ros2/ros2cli/issues/366>)
  * ensure ros2 interface show has trailing newline (#368 <https://github.com/ros2/ros2cli/issues/368>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo, Shane Loretz

 -- Jacob Perron <jacob@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-ros2interface (0.8.2-1focal) focal; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@osrfoundation.org>  Tue, 08 Oct 2019 00:00:00 -0000

ros-foxy-ros2interface (0.8.1-1focal) focal; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Jacob Perron <jacob@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-ros2interface (0.8.0-1focal) focal; urgency=high

  * install resource marker file for packages (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Add interface proto  (#298 <https://github.com/ros2/ros2cli/issues/298>)
  * install package manifest (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * ros2interface fixes/changes (#308 <https://github.com/ros2/ros2cli/issues/308>)
  * add actions to interface type completer (#303 <https://github.com/ros2/ros2cli/issues/303>)
  * [ros2interface] Fix output formatting (#289 <https://github.com/ros2/ros2cli/issues/289>)
  * Added ros2interface to replace ros2 msg/srv (#288 <https://github.com/ros2/ros2cli/issues/288>)
  * Contributors: Dirk Thomas, Jacob Perron, Jeremie Deray, Siddharth Kucheria

 -- Jacob Perron <jacob@osrfoundation.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-foxy-ros2interface (0.7.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-ros2interface (0.7.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-ros2interface (0.7.2-1focal) focal; urgency=high




